/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.Identifiable");

/**
 * Interface for any resource in the system that can be identified
 * @ibm-api
 * @ibm-module Base
 */
dojo.declare("com.ibm.mashups.enabler.Identifiable", null, {
    /**
     * Returns the ID of the resource that implements the <code>Identifiable</code> interface.
     * @return {String} the identifier; never <code>null</code>
     */
    getID: function(){
    },
    
    /**
     * Returns the unique name of the resource that implements the <code>Identifiable</code> interface.
     * @return {String} the unique name; never <code>null</code>
     * @private
     */
    getUniqueName: function(){
    }
});
